# react-vr-textinput

> Text Input and Software Keyboard for React VR

## Team

  - Arseniy Kotov
  - Sim Kang
  - Rishi Raje


## Usage

> import TextInput from 'react-vr-textinput'

  - Exposed Props
    1. onSubmit() - provide a call back function that will accept the text from the text input component
    2. rows - provide the number of lines you wish the text box to be
    3. cols - provide the number of columns you wish the tex box to be
  
  - Click the TextBox Component to activate it.

## Requirements

> React VR

## Current Issues

- The team is currently working on updating the word truncation as well as implementing auto complete for more efficient typing

## Contributing

  - Fork the repository.
  - npm install
  - Create a pull request

